Bug 830554 - webadmin: when importing vm with multiple disks and selecting different target domains we see the disks not in correct order
webadmin: when importing vm with multiple disks and selecting different targe...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gilad Chaplik
Dafna Ron
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 11:25 EDT by Dafna Ron
Modified: 2015-09-22 09 EDT (History)
7 users (show)

See Also:
Fixed In Version: si10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot (40.90 KB, image/jpeg)
2012-06-10 11:25 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-06-10 11:25:13 EDT
Created attachment 590758 [details]
screen shot

Description of problem:

when importing a vm with multiple disks and selecting several domains target, the disks appear unorginized. 

Version-Release number of selected component (if applicable):

si4

How reproducible:

100%

Steps to Reproduce:
1.try to import a disk with multiple disks to multiple domains
2.
3.
  
Actual results:

disk appears disorginized

Expected results:

we should present the disk by alphabet

Additional info: screen shot
Comment 1 Itamar Heim 2012-06-10 11:43:35 EDT
I wouldn't presume the "right" order is to sort by name.
the "right" order would probably be based on device addressing or something like that.
ayal - thoughts?
Comment 2 Ayal Baron 2012-06-17 06:09:50 EDT
(In reply to comment #1)
> I wouldn't presume the "right" order is to sort by name.
> the "right" order would probably be based on device addressing or something
> like that.

When choosing the target storage domain for each disk? I tend to agree with dafna that sorting by name is better.
Comment 4 Gilad Chaplik 2012-06-20 05:29:24 EDT
(In reply to comment #3)
> merged upstream
> (http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;
> h=c240668147420ac64712b65c73cf725e5571ce19)

also fixed in import template.
Comment 5 Dafna Ron 2012-07-12 12:31:11 EDT
verified on si10

Note You need to log in before you can comment on or make changes to this bug.